#
# spec file for package rubygem-faraday
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-faraday
Version:        0.9.1
Release:        5.3
%define mod_name faraday
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/lostisland/faraday
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        HTTP/REST API client library
License:        MIT
Group:          Development/Languages/Ruby

%description
HTTP/REST API client library.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Mon Feb  9 2015 coolo@suse.com
- updated to version 0.9.1
  * Refactor Net:HTTP adapter so that with_net_http_connection can be overridden to allow pooled connections. (@Ben-M)
  * Add configurable methods that bypass `retry_if` in the Retry request middleware.  (@mike-bourgeous)
* Thu Oct 23 2014 tboerger@suse.com
- Updated last pieces for new macros
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Jan 20 2014 coolo@suse.com
- updated to version 0.9.0
  * Add HTTPClient adapter (@hakanensari)
  * Improve Retry handler (@mislav)
  * Remove autoloading by default (@technoweenie)
  * Improve internal docs (@technoweenie, @mislav)
  * Respect user/password in http proxy string (@mislav)
  * Adapter options are structs.  Reinforces consistent options across adapters
  (@technoweenie)
  * Stop stripping trailing / off base URLs in a Faraday::Connection. (@technoweenie)
  * Add a configurable URI parser. (@technoweenie)
  * Remove need to manually autoload when using the authorization header helpers on `Faraday::Connection`. (@technoweenie)
  * `Faraday::Adapter::Test` respects the `Faraday::RequestOptions#params_encoder` option. (@technoweenie)
* Sun Jul 28 2013 coolo@suse.com
- updated to version 0.8.8, no changelog
* Mon Mar 25 2013 coolo@suse.com
- updated to version 0.8.7
* Sun Mar  3 2013 coolo@suse.com
- updated to version 0.8.6
* Tue Feb  5 2013 coolo@suse.com
- updated to version 0.8.5
* Mon Aug 27 2012 coolo@suse.com
- updated to version 0.8.4
* Wed Dec 21 2011 jmassaguerpla@suse.com
- Updated BuildRequires to rack-1_1 as there are multiple versions of this gem
* Fri Oct  7 2011 fcastelli@suse.com
- Update to v0.7.5
* Wed Jul 27 2011 fcastelli@novell.com
- Fix building
* Tue Apr 26 2011 aduffeck@novell.com
- Update to v0.6.1
* Mon Jan 10 2011 aduffeck@novell.com
- initial version
